Bug 496454 - Review Request: pwmd - A server for storing application data at a central location
Review Request: pwmd - A server for storing application data at a central loc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On: 496453 573796
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 07:12 EDT by Fabian Affolter
Modified: 2010-11-17 18:15 EST (History)
4 users (show)

See Also:
Fixed In Version: pwmd-2.18-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-17 18:15:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
r.landmann: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-04-19 07:12:30 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pwmd.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pwmd-1.2-1.fc10.src.rpm

Project URL: http://bjk.sourceforge.net/pwmd/

Description:
Password Manager Daemon is a server that provides a way for applications
to securely store and retrieve data at a centralized location. The data is
stored in an (optionally AES256 encrypted) XML file and clients connect and
send commands to manipulate the data. Some of the features include:

* Multi-threaded. More than one client may access the data at the same
  time.
* A key cache so clients won't need to enter a key each time a file is
  opened or saved.
* Key retrieval via pinentry(1).
* Configuration file which supports file specific settings including:
  encryption iterations, cache expiration and encryption key or key file
  and more.
* Compressed data file support.
* Logging to file and/or syslog.
* Secure memory usage. PWMD will zero out memory before freeing it and
  also has the option to lock the entire process in RAM to avoid swapping
  the data to virtual memory.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1307797

rpmlint output:
[fab@laptop24 i386]$ rpmlint pwmd*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint pwmd-1.2-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Fabian Affolter 2009-07-17 19:21:09 EDT
* Fri Jul 17 2009 Fabian Affolter <fabian@bernewireless.net> - 2.1-1
- Removed COMMANDS from doc
- Updated to new upstream version 2.1

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pwmd.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pwmd-2.1-1.fc11.src.rpm
Comment 2 Garrett Holmstrom 2010-01-11 23:36:27 EST
I went to do an unofficial review of the latest version, and while it seems to work on F12 it fails to build on rawhide.

As far as the spec file goes, everything seems to agree nicely with the packaging guidelines.  If you're desperate for something to fix there you could add more translations of the package metadata.

pwmd 2.2 rawhide scratch build:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1915987
Comment 3 Fabian Affolter 2010-03-02 09:22:04 EST
2.7 was release some time ago.  I think that it's time for an update.
Comment 4 Fabian Affolter 2010-03-15 16:04:06 EDT
The latest release is 2.0 but for this release libassuan 2.0.0 is needed.
Comment 5 Jason Tibbitts 2010-11-01 21:01:06 EDT
I note that libassuan 2.0 is in F14 and rawhide currently.
Comment 6 Ruediger Landmann 2010-11-02 19:51:00 EDT
All looks good here Fabian, although this version is -- understandably -- now quite old (current upstream is 2.18)

Nevertheless, this version still builds fine locally on F13 for me and on Koji for F15.

Some items are no longer required in the specfile, so you could remove:
 * BuildRoot: 
 * first line of %install
 * empty %build section
 * %clean section
(although not having them will cause rpmlint to cry)

ACCEPT



 - = N/A
 / = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [/] Rpmlint output is clean:
      $ rpmlint SRPMS/pwmd-2.1-1.fc13.src.rpm 
      pwmd.src: W: spelling-error %description -l en_US pinentry -> pin entry, pin-entry, pinery
      pwmd.src: W: spelling-error %description -l en_US syslog -> dyslogia, systole, slogan
      1 packages and 0 specfiles checked; 0 errors, 2 warnings.
      $ rpmlint RPMS/x86_64/pwmd-2.1-1.fc13.x86_64.rpm 
      pwmd.x86_64: W: spelling-error %description -l en_US syslog -> dyslogia, systole, slogan
      1 packages and 0 specfiles checked; 0 errors, 1 warnings.
      $ rpmlint RPMS/x86_64/pwmd-debuginfo-2.1-1.fc13.x86_64.rpm 
      1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [/] Package is named according to the Package Naming Guidelines.
 [/] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [/] Package meets the Packaging Guidelines including the Language specific
items
 [/] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [/] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [/] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
      COPYING
 [/] Spec file is legible and written in American English.
 [/] Sources used to build the package matches the upstream source, as provided
in the spec URL.
      md5sum SOURCES/pwmd-2.1.tar.gz 
      2c770efd122229bd96c15e56ffa62e22  SOURCES/pwmd-2.1.tar.gz
      $ md5sum ~/Download/pwmd-2.1.tar.gz 
      2c770efd122229bd96c15e56ffa62e22  /home/rlandmann/Download/pwmd-2.1.tar.gz
 [/] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=2572948
 [/] Package is not known to require ExcludeArch
 [/] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly (with the %find_lang macro)
 [-] ldconfig called in %post and %postun if required.
 [/] Package does not bundle copies of system libraries
 [/] Package is not relocatable.
 [/] Package must own all directories that it creates.
 [/] Package does not contain duplicates in %files.
 [-] Permissions on files are set properly
 [/] %files section includes a %defattr(...) line
 [/] Package consistently uses macros.
 [-] Large documentation files are in a -doc subpackage, if required.
 [/] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] -devel packages require base package with full versioning.
 [/] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [/] Package does not own files or directories owned by other packages.
 [/] Filenames are valid UTF-8

=== SUGGESTED ITEMS ===

 [/] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [/] Reviewer should test that the package builds in mock.
     Tested through koji
 [/] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: f13
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] Subpackages other than -devel require the base package as a fully versioned
dependency
 [-] The placement of pkgconfig(.pc) files is correct (normally in -devel)
 [-] File based requires are sane.
 [/] Package contains man pages for binaries and scripts.
Comment 7 Fabian Affolter 2010-11-05 07:26:23 EDT
Thanks for the review

(In reply to comment #6)
> 
> Some items are no longer required in the specfile, so you could remove:
>  * BuildRoot: 
>  * first line of %install
>  * empty %build section
>  * %clean section
> (although not having them will cause rpmlint to cry)

I will take your notes into account while updating to the latest release of pwmd.
Comment 8 Fabian Affolter 2010-11-05 07:28:39 EDT
New Package SCM Request
=======================
Package Name: pwmd
Short Description: A server for storing application data at a central location
Owners: fab
Branches: F-14 F-13
InitialCC:
Comment 9 Jason Tibbitts 2010-11-05 13:05:41 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2010-11-06 13:55:54 EDT
pwmd-2.18-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pwmd-2.18-1.fc14
Comment 11 Fedora Update System 2010-11-06 19:45:13 EDT
pwmd-2.18-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pwmd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pwmd-2.18-1.fc14
Comment 12 Fedora Update System 2010-11-17 18:15:42 EST
pwmd-2.18-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.